# Uses of Interface
org.springframework.http.codec.ServerCodecConfigurer

Packages that use ServerCodecConfigurer
Package
Description
org.springframework.http.codec
Provides implementations of `Encoder` and `Decoder` for web use.
org.springframework.http.codec.support
Provides implementations of `ClientCodecConfigurer` and `ServerCodecConfigurer` based on the converter implementations from `org.springframework.http.codec.json` and co.
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.

## Uses of ServerCodecConfigurer in org.springframework.http.codec

Methods in org.springframework.http.codec that return ServerCodecConfigurer
Modifier and Type
Method
Description
`ServerCodecConfigurer`
ServerCodecConfigurer.`clone()`
Create a copy of this `CodecConfigurer`.
`static ServerCodecConfigurer`
ServerCodecConfigurer.`create()`
Static factory method for a `ServerCodecConfigurer`.

## Uses of ServerCodecConfigurer in org.springframework.http.codec.support

Classes in org.springframework.http.codec.support that implement ServerCodecConfigurer
Modifier and Type
Class
Description
`class`
`DefaultServerCodecConfigurer`
Default implementation of `ServerCodecConfigurer`.

## Uses of ServerCodecConfigurer in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter that return ServerCodecConfigurer
Modifier and Type
Method
Description
`ServerCodecConfigurer`
HttpWebHandlerAdapter.`getCodecConfigurer()`
Return the configured `ServerCodecConfigurer`.
Methods in org.springframework.web.server.adapter with parameters of type ServerCodecConfigurer
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`codecConfigurer(ServerCodecConfigurer codecConfigurer)`
Configure the `ServerCodecConfigurer` to set on the `WebServerExchange`.
`void`
HttpWebHandlerAdapter.`setCodecConfigurer(ServerCodecConfigurer codecConfigurer)`
Configure a custom `ServerCodecConfigurer`.
Constructors in org.springframework.web.server.adapter with parameters of type ServerCodecConfigurer
Modifier
Constructor
Description
``
`DefaultServerWebExchange(ServerHttpRequest request, ServerHttpResponse response, WebSessionManager sessionManager, ServerCodecConfigurer codecConfigurer, LocaleContextResolver localeContextResolver)`
`protected`
`DefaultServerWebExchange(ServerHttpRequest request, ServerHttpResponse response, WebSessionManager sessionManager, ServerCodecConfigurer codecConfigurer, LocaleContextResolver localeContextResolver, org.springframework.context.ApplicationContext applicationContext)`